ECCSIKeyPairGenerator (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.generators

## Class ECCSIKeyPairGenerator

- java.lang.Object
- - org.bouncycastle.crypto.generators.ECCSIKeyPairGenerator

- All Implemented Interfaces:
    AsymmetricCipherKeyPairGenerator

      public class ECCSIKeyPairGenerator
      extends java.lang.Object
      implements AsymmetricCipherKeyPairGenerator

  A key pair generator for the ECCSI scheme (Elliptic Curve-based Certificateless Signatures for Identity-based Encryption) as defined in RFC 6507.
  See Also:
    RFC 6507: Elliptic Curve-Based Certificateless Signatures for Identity-based Encryption (ECCSI)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECCSIKeyPairGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsymmetricCipherKeyPair` | `generateKeyPair()` return an AsymmetricCipherKeyPair containing the generated keys.
    `void` | `init(KeyGenerationParameters parameters)` Initializes the key pair generator with the specified parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECCSIKeyPairGenerator

          public ECCSIKeyPairGenerator()

  - ### Method Detail

    - #### init

          public void init(KeyGenerationParameters parameters)

      Initializes the key pair generator with the specified parameters.
      Specified by:
        `init` in interface `AsymmetricCipherKeyPairGenerator`
      Parameters:
        `parameters` - an instance of `ECCSIKeyGenerationParameters` which encapsulates the elliptic curve domain parameters, the digest algorithm, and an associated identifier.

    - #### generateKeyPair

          public AsymmetricCipherKeyPair generateKeyPair()

      Description copied from interface: `AsymmetricCipherKeyPairGenerator`
      return an AsymmetricCipherKeyPair containing the generated keys.
      Specified by:
        `generateKeyPair` in interface `AsymmetricCipherKeyPairGenerator`
      Returns:
        an AsymmetricCipherKeyPair containing the generated keys.